/* $Id: texts.c,v 1.2 2005/05/21 19:44:21 cegger Exp $
******************************************************************************

   Graphics library for GGI. WMH stuff. Texts, titles and stuff.

   Copyright (C) 2004 Peter Ekberg	[peda@lysator.liu.se]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include "config.h"
#include "pseudostubswmh.h"

int GGIwmh_pseudo_stubs_settitle(ggi_visual *vis,const char *title)
{
	wmhpriv *priv = LIBGGI_WMHEXT(vis);

	return ggiWmhSetTitle(priv->priv, title);
}

int GGIwmh_pseudo_stubs_seticontitle(ggi_visual *vis,const char *title)
{
	wmhpriv *priv = LIBGGI_WMHEXT(vis);

	return ggiWmhSetIconTitle(priv->priv, title);
}

int GGIwmh_pseudo_stubs_iconify(ggi_visual *vis,int newstate)
{
	wmhpriv *priv = LIBGGI_WMHEXT(vis);

	return ggiWmhIconify(priv->priv, newstate);
}
